package cz.fidentis.analyst.gui.toolbar;

import cz.fidentis.analyst.symmetry.SymmetryPlaneAction;
import cz.fidentis.analyst.gui.canvas.Canvas;
import javax.swing.ImageIcon;
import javax.swing.JPanel;
import javax.swing.JToggleButton;
import org.openide.util.NbBundle;

/**
 * A toolbar extension for a single face analysis.
 * 
 * @author Radek Oslejsek
 */
public class SingleFaceToolBar extends RenderingToolBar {
    
    public static final String SYMMETRY_BUTTON_ICON = "symmetry28x28.png";
    
    /**
     * Constructor.
     * 
     * @param canvas Rendering canvas
     * @param controlPanel The top component control panels
     */
    public SingleFaceToolBar(Canvas canvas, JPanel controlPanel) {
        super(canvas);
        addSeparator();
        addSymmetryPlaneButton(controlPanel);
    }
    
    private void addSymmetryPlaneButton(JPanel controlPanel) {
        JToggleButton button = new JToggleButton();
        button.addActionListener(new SymmetryPlaneAction(controlPanel, getCanvas()));
        button.setActionCommand(SymmetryPlaneAction.ACTION_COMMAND_ON_OFF);
        //button.setAction(new SymmetryPlaneAction(controlPanel));
        button.setIcon(new ImageIcon(getClass().getResource("/" + SingleFaceToolBar.SYMMETRY_BUTTON_ICON)));
        button.setFocusable(false);
        button.setToolTipText(NbBundle.getMessage(RenderingToolBar.class, "SingleFaceToolBar.symmetry.text"));
        add(button);
    }
}
